## python-reconfigure 0.1.29

=== Makefile ===
PYTHON=`which python`
DESTDIR=/
BUILDIR=$(CURDIR)/debian/reconfigure
RPMTOPDIR=$(CURDIR)/build
PROJECT=reconfigure
DEBPROJECT=python-reconfigure
VERSION=`python -c "from reconfigure import __version__; print __version__"`
PREFIX=/usr

SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
DOCBUILDDIR   = docs/build
DOCSOURCEDIR   = docs/source
ALLSPHINXOPTS   = -d $(DOCBUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(DOCSOURCEDIR)

all:

build:

doc:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(DOCBUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

cdoc:
	rm -rf $(DOCBUILDDIR)/*
	make doc

install:
	$(PYTHON) setup.py install --root $(DESTDIR) $(COMPILE) --prefix $(PREFIX)

rpm: build tgz
	rm -rf dist/*.rpm

	cat dist/$(PROJECT).spec.in | sed s/__VERSION__/$(VERSION)/g > $(PROJECT).spec

	mkdir -p build/SOURCES || true
	cp dist/$(PROJECT)*.tar.gz build/SOURCES

	rpmbuild --define '_topdir $(RPMTOPDIR)' -bb $(PROJECT).spec 

	mv build/RPMS/noarch/$(PROJECT)*.rpm dist

	rm $(PROJECT).spec

deb: build tgz
	rm -rf dist/*.deb

	cat debian/changelog.in | sed s/__VERSION__/$(VERSION)/g | sed "s/__DATE__/$(DATE)/g" > debian/changelog

	cp dist/$(PROJECT)*.tar.gz ..
	rename -f 's/$(PROJECT)-(.*)\.tar\.gz/$(DEBPROJECT)_$$1\.orig\.tar\.gz/' ../*
	dpkg-buildpackage -b -rfakeroot -us -uc

	mv ../$(DEBPROJECT)*.deb dist/
	
	rm ../$(DEBPROJECT)*.orig.tar.gz
	rm ../$(DEBPROJECT)*.changes
	rm debian/changelog

upload-deb: deb
	scp dist/*.deb root@ajenti.org:/srv/repo/ng/debian
	ssh root@ajenti.org /srv/repo/rebuild-debian.sh

upload-rpm: rpm
	scp dist/*.rpm root@ajenti.org:/srv/repo/ng/centos/6
	ssh root@ajenti.org /srv/repo/rebuild-centos.sh

upload-tgz: tgz
	$(PYTHON) setup.py sdist upload

tgz: build
	rm dist/*.tar.gz || true
	$(PYTHON) setup.py sdist 


clean:
	$(PYTHON) setup.py clean
	rm -rf $(DOCBUILDDIR)/*
	rm -rf build/ debian/$(PROJECT)* debian/*stamp* debian/files MANIFEST *.egg-info
	find . -name '*.pyc' -delete


test:
	nosetests -v

=== debian/changelog ===
python-reconfigure (0.1.29-2) unstable; urgency=low

  * Upload to unstable.
  * Fix python-sphinx build dependency.

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 22 Sep 2013 11:37:24 +0200

python-reconfigure (0.1.29-1) experimental; urgency=low

  * Initial release.

 -- Andrew Shadura <andrewsh@debian.org>  Thu, 19 Sep 2013 14:07:20 +0200

=== debian/control ===
Source: python-reconfigure
Section: python
Priority: optional
Maintainer: Andrew Shadura <andrewsh@debian.org>
Build-Depends:
    python-setuptools (>= 0.6.24),
    python-all (>= 2.6.6-3),
    python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
    python-chardet,
    python-nose,
    debhelper (>= 9)
Standards-Version: 3.9.4
Homepage: http://eugeny.github.io/reconfigure

Package: python-reconfigure
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: simple config file management library
 python-reconfigure provides easy and uniform access to various
 kinds of configuration files, easily extendable with custom
 parsers.
 .
 Supported configuration files:
  * Ajenti (ajenti)
  * BIND9 DNS (bind9)
  * Crontabs (crontab)
  * Samba CTDB (ctdb)
  * ISC DHCPD / uDHCPD (dhcpd)
  * NFS /etc/exports (exports)
  * /etc/fstab (fstab)
  * /etc/group (group)
  * /etc/hosts (hosts)
  * iptables-save dump (iptables)
  * Netatalk afp.conf (netatalk)
  * NSD DNS (nsd)
  * /etc/passwd (passwd)
  * /etc/resolv.conf (resolv)
  * Samba (samba)
  * Squid 3 (squid)
  * Supervisord (supervisor)
 .
 Included parsers:
  * BIND9 config (bind9)
  * Crontab (crontab)
  * NFS Exports (exports)
  * .ini (ini)
  * iptables-save (iptables)
  * nginx-like (nginx)
  * squid (squid)
  * nsd (nsd)
  * CSV-like space-separated values (ssv)
  * JSON (jsonparser)

Package: python-reconfigure-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: simple config file management library (documentation)
 python-reconfigure provides easy and uniform access to various
 kinds of configuration files, easily extendable with custom
 parsers.
 .
 This package provides documentation to python-reconfigure.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,sphinxdoc

override_dh_auto_build:
	dh_auto_build
	$(MAKE) doc

override_dh_auto_install:
	dh_auto_install -- COMPILE=--install-layout=deb

override_dh_installchangelogs:
	dh_installchangelogs -X docs

override_dh_auto_clean:
	rm -rf build build-stamp configure-stamp build/ MANIFEST
	dh_auto_clean || true

.PHONY: override_dh_auto_build override_dh_auto_install override_dh_installchangelogs override_dh_auto_clean

## python-reconfigure 0.1.50+git20140603

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,7 @@
 DEBPROJECT=python-reconfigure
 VERSION=`python -c "from reconfigure import __version__; print __version__"`
 PREFIX=/usr
+PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
 
 SPHINXOPTS    =
 SPHINXBUILD   = sphinx-build

=== debian/changelog ===
python-reconfigure (0.1.50+git20140603-1) unstable; urgency=medium

  * New upstream snapshot.
  * Drop old patches.
  * Use pybuild.

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 29 Jun 2014 23:52:18 +0200

python-reconfigure (0.1.39-1) unstable; urgency=medium

  * New upstream release.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 11 Mar 2014 00:35:43 +0100

## python-reconfigure 0.1.59+git20140824

=== requirements.txt ===
chardet
nose

=== debian/changelog ===
python-reconfigure (0.1.59+git20140824-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 07 Sep 2014 14:06:17 +0200

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Andrew Shadura <andrewsh@debian.org>
 Build-Depends:
+    dh-python,
     python-setuptools (>= 0.6.24),
     python-all (>= 2.6.6-3),
     python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	$(MAKE) doc

override_dh_auto_clean:
	rm -rf docs/build/*
	dh_auto_clean

override_dh_installchangelogs:
	dh_installchangelogs -X docs

.PHONY: override_dh_auto_build override_dh_auto_clean override_dh_installchangelogs

## python-reconfigure 0.1.69+git20150226

=== debian/changelog ===
python-reconfigure (0.1.69+git20150226-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 29 Apr 2015 10:23:28 +0200

## python-reconfigure 0.1.74%2Bgit49a20890

=== Makefile ===
--- 
+++ 
@@ -68,12 +68,16 @@
 	scp dist/*.rpm root@ajenti.org:/srv/repo/ng/centos/6
 	ssh root@ajenti.org /srv/repo/rebuild-centos.sh
 
+upload-rpm7: rpm
+	scp dist/*.rpm root@ajenti.org:/srv/repo/ng/centos/7
+	ssh root@ajenti.org /srv/repo/rebuild-centos7.sh
+
 upload-tgz: tgz
-	$(PYTHON) setup.py sdist upload
+	$(PYTHON) setup.py sdist bdist_wheel upload
 
 tgz: build
 	rm dist/*.tar.gz || true
-	$(PYTHON) setup.py sdist 
+	$(PYTHON) setup.py sdist
 
 
 clean:

=== requirements.txt ===
chardet
nose
six

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=reconfigure

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	$(MAKE) doc

override_dh_auto_clean:
	rm -rf docs/build/*
	dh_auto_clean

override_dh_installchangelogs:
	dh_installchangelogs -X docs

get-orig-source:
	@d=$$(readlink -e $(MAKEFILE_LIST)); \
	cd $${d%/*}/..; \
	debian/get-orig-source.sh $(CURDIR)

.PHONY: override_dh_auto_build override_dh_auto_clean override_dh_installchangelogs get-orig-source

## python-reconfigure 0.1.74+git49a20890

=== debian/changelog ===
python-reconfigure (0.1.74+git49a20890-3) unstable; urgency=medium

  * Add Python3 support.
  * Depend on system-provided python*-iniparse, don't use bundled one.
  * Drop unneeded dependency on python-configparser.

 -- Andrew Shadura <andrewsh@debian.org>  Thu, 27 Aug 2015 18:53:54 +0200

python-reconfigure (0.1.74+git49a20890-2) unstable; urgency=medium

  * (Build-)Depend on python-iniparse and python-configparser.

 -- Andrew Shadura <andrewsh@debian.org>  Fri, 21 Aug 2015 17:33:46 +0200

python-reconfigure (0.1.74+git49a20890-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Andrew Shadura <andrewsh@debian.org>  Thu, 20 Aug 2015 16:05:11 +0200

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,26 @@
     dh-python,
     python-setuptools (>= 0.6.24),
     python-all (>= 2.6.6-3),
+    python3-setuptools (>= 0.6.24),
+    python3-all,
     python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
     python-chardet,
+    python3-chardet,
     python-nose,
+    python3-nose,
+    python-iniparse,
+    python3-iniparse,
+    python-six,
+    python3-six,
     debhelper (>= 9)
 Standards-Version: 3.9.4
 Homepage: http://eugeny.github.io/reconfigure
 
 Package: python-reconfigure
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
+Depends: ${misc:Depends}, ${python:Depends}, python-iniparse
 Provides: ${python:Provides}
-Description: simple config file management library
+Description: simple config file management library (Python 2)
  python-reconfigure provides easy and uniform access to various
  kinds of configuration files, easily extendable with custom
  parsers.
@@ -63,3 +71,44 @@
  parsers.
  .
  This package provides documentation to python-reconfigure.
+
+Package: python3-reconfigure
+Architecture: all
+Depends: ${misc:Depends}, ${python3:Depends}, python3-iniparse
+Description: simple config file management library (Python 3)
+ python-reconfigure provides easy and uniform access to various
+ kinds of configuration files, easily extendable with custom
+ parsers.
+ .
+ Supported configuration files:
+  * Ajenti (ajenti)
+  * BIND9 DNS (bind9)
+  * Crontabs (crontab)
+  * Samba CTDB (ctdb)
+  * ISC DHCPD / uDHCPD (dhcpd)
+  * NFS /etc/exports (exports)
+  * /etc/fstab (fstab)
+  * /etc/group (group)
+  * /etc/hosts (hosts)
+  * iptables-save dump (iptables)
+  * Netatalk afp.conf (netatalk)
+  * NSD DNS (nsd)
+  * /etc/passwd (passwd)
+  * /etc/resolv.conf (resolv)
+  * Samba (samba)
+  * Squid 3 (squid)
+  * Supervisord (supervisor)
+ .
+ Included parsers:
+  * BIND9 config (bind9)
+  * Crontab (crontab)
+  * NFS Exports (exports)
+  * .ini (ini)
+  * iptables-save (iptables)
+  * nginx-like (nginx)
+  * squid (squid)
+  * nsd (nsd)
+  * CSV-like space-separated values (ssv)
+  * JSON (jsonparser)
+ .
+ This is a Python 3 version of the package

## python-reconfigure 0.1.81+git20171214.2b8729a8

=== requirements.txt ===
chardet
nose

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Ajenti.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Ajenti.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Ajenti"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Ajenti"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-reconfigure (0.1.81+git20171214.2b8729a8-2) unstable; urgency=medium

  * Team upload.
  * Use Python 3 for building docs.
  * Drop Python 2 support.
  * d/copyright: Use https protocol in Format field.
  * Use debhelper-compat instead of debian/compat.
  * d/control: Set Vcs-* to salsa.debian.org.

 -- Ondřej Nový <onovy@debian.org>  Sat, 27 Jul 2019 18:03:14 +0200

python-reconfigure (0.1.81+git20171214.2b8729a8-1) unstable; urgency=medium

  * New upstream version.
  * Drop the dependency on six.
  * Move to the DPMT.
  * Add Vcs-*.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 25 Apr 2018 14:38:53 +0200

=== debian/control ===
Source: python-reconfigure
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Andrej Shadura <andrewsh@debian.org>
Build-Depends:
    dh-python,
    python3-setuptools (>= 0.6.24),
    python3-all,
    python3-sphinx,
    python3-chardet,
    python3-nose,
    python3-iniparse,
    debhelper-compat (= 9)
Standards-Version: 3.9.4
Homepage: http://eugeny.github.io/reconfigure
Vcs-Git: https://salsa.debian.org/python-team/modules/python-reconfigure.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-reconfigure

Package: python-reconfigure-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: simple config file management library (documentation)
 python-reconfigure provides easy and uniform access to various
 kinds of configuration files, easily extendable with custom
 parsers.
 .
 This package provides documentation to python-reconfigure.

Package: python3-reconfigure
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-iniparse
Description: simple config file management library (Python 3)
 python-reconfigure provides easy and uniform access to various
 kinds of configuration files, easily extendable with custom
 parsers.
 .
 Supported configuration files:
  * Ajenti (ajenti)
  * BIND9 DNS (bind9)
  * Crontabs (crontab)
  * Samba CTDB (ctdb)
  * ISC DHCPD / uDHCPD (dhcpd)
  * NFS /etc/exports (exports)
  * /etc/fstab (fstab)
  * /etc/group (group)
  * /etc/hosts (hosts)
  * iptables-save dump (iptables)
  * Netatalk afp.conf (netatalk)
  * NSD DNS (nsd)
  * /etc/passwd (passwd)
  * /etc/resolv.conf (resolv)
  * Samba (samba)
  * Squid 3 (squid)
  * Supervisord (supervisor)
 .
 Included parsers:
  * BIND9 config (bind9)
  * Crontab (crontab)
  * NFS Exports (exports)
  * .ini (ini)
  * iptables-save (iptables)
  * nginx-like (nginx)
  * squid (squid)
  * nsd (nsd)
  * CSV-like space-separated values (ssv)
  * JSON (jsonparser)
 .
 This is a Python 3 version of the package

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_NAME=reconfigure
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build
